Holger's Java API

## com.antelmann.util
Interface NotificationListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  NotificationListener.Adapter

    public interface NotificationListener

extends EventListener

listens for notifications based on certain monitored objects. The concept is somewhat similar to the java.util.Observer interface, but it can receive events on any object, not just an Observable.

Since:
  16. Dezember 2006, 01:04
Author:
  Holger Antelmann
See Also:
  `Notifier`, `NotificationService`, `Observer`

Nested Class Summary
`static class` `NotificationListener.Adapter`

Method Summary
`void` `notificationStopped(Object monitoredObject)` called to indicate that no more events will be delivered for the given object from the Notifier that delivered this.
`void` `notified(Object monitoredObject, EventObject event)` called when the Notifier received an event for the given monitored object

Method Detail

### notified

    void notified(Object monitoredObject,
                  EventObject event)

  called when the Notifier received an event for the given monitored object

### notificationStopped

    void notificationStopped(Object monitoredObject)

  called to indicate that no more events will be delivered for the given object from the Notifier that delivered this.

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads